/*****************************************************************************************************************************
Project: FR - skin ver 
Author: flamyfox
Version: 1.3
Update: 2017-01-18
message:
1. Can only work in local PC
2. Only be tested it in chrome (if you got any problem in ohter broswer, don't ask me...)
3. You can share this with your friends, but do NOT upload to any website or public disk for every to download
4. All rights belong to flightrising.com, I own nothing but fun :)
******************************************************************************************************************************/
var skinsrc;
var dragsrc;

$(document).ready(function() { 
	$("#local_d").change(function(){		
		if ($("#local_d").is(':checked')){
			$(".noLocal").attr("disabled","disabled")
		}
		else{
			$(".noLocal").removeAttr("disabled")
		}	  
	});
	addColor()
})

//2 ways of showing
function Draw() {
    getSkin();
	getDragon();				
	drawCanvas()	
}

function myDragon() {
    getSkin();	
    dragsrc = $("#myDragon").val();
	drawCanvas()
}

function myDragonZord()
{
	getSkin();	
	var zord = $("#zord").val();
	var zord_s = parseInt(zord/100)+1;
	dragsrc = "http://flightrising.com/rendern/350/"+ zord_s + "/" + zord + "_350.png";
	drawCanvas();
}


//check local source or not
function getSkin() {
    var SkinCode = $("#skin").val();
    if ($("#local_s").is(':checked')) {
        skinsrc = 'skin/' + SkinCode + '.png'
    } else {
        skinsrc = 'http://flightrising.com/images/cms/skins/art/' + SkinCode + '.png'
    };
    return skinsrc;
}

function getDragon(){
	//get gen and color set
    var breed = $("#breed").val();
    var gender = $("#gender").val();
	var gen1 = $("#primegene").val();
    var gen2 = $("#secgene").val();
	var gen3 = $("#tertgene").val();
    var color1 = $("#pcolor").val();
	var color2 = $("#scolor").val();
    var color3 = $("#tcolor").val();
	var eye = $("#elecheck").val();

    if ($("#local_d").is(':checked')) {
		var breedName  = $("#breed option[value='" + breed + "']").text();
		var genderName = $("#gender option[value='" + gender + "']").text();
        dragsrc = 'dragon/' + breedName.toLowerCase() + '_' + genderName.substr(0,1).toLowerCase() + '.png' //myDragon
		//console.log(dragsrc)		
    } else {
		dragsrc = "http://flightrising.com/image_generators/dragonpic2.php?" 
				+ "body=" + color1 
				+ "&wing=" + color2 
				+ "&style=" + breed 
				+ "&gender=" + gender 
				+ "&ages=1" 
				+ "&prig=" + gen1 
				+ "&secg=" + gen2 
				+ "&tert="+ color3 
				+ "&elem=" + eye 
				+ "&tertgene=" + gen3 
				+ "&spec=prev.png";	
    };
    return dragsrc;	
}

function drawCanvas(){
    function loadImages(sources, callback) {
        var images = {};
        var loadedImages = 0;
        var numImages = 0;
        // get num of sources
        for (var src in sources) {
            numImages++;
        }
        for (var src in sources) {
            images[src] = new Image();
            images[src].onload = function() {
                if (++loadedImages >= numImages) {
                    callback(images);
                }
            };
            images[src].src = sources[src];
        }
    }
    var canvas = document.getElementById('myCanvas');
    var context = canvas.getContext('2d');
    var sources = {
        skin: skinsrc,
        drag: dragsrc
    };
    context.clearRect(0, 0, 350, 350);
    loadImages(sources,
    function(images) {
        context.drawImage(images.drag, 0, 0, 350, 350);
        context.drawImage(images.skin, 0, 0, 350, 350);
    });	
}

function addColor(){
$("#pcolor,#scolor, #tcolor").append('<option class="Maize"value="1">Maize</option><option value="163"class="Cream">Cream</option><option value="97"class="Antique">Antique</option><option value="2"class="White">White</option><option value="74"class="Moon">Moon</option><option value="3"class="Ice">Ice</option><option value="131"class="Orca">Orca</option><option value="4"class="Platinum">Platinum</option><option value="5"class="Silver">Silver</option><option value="146"class="Dust">Dust</option><option value="6"class="Grey">Grey</option><option value="91"class="Smoke">Smoke</option><option value="98"class="Gloom">Gloom</option><option value="118"class="Lead">Lead</option><option value="177"class="Shale">Shale</option><option value="129"class="Flint">Flint</option><option value="7"class="Charcoal">Charcoal</option><option value="8"class="Coal">Coal</option><option value="70"class="Oilslick">Oilslick</option><option value="9"class="Black">Black</option><option value="10"class="Obsidian">Obsidian</option><option value="176"class="Eldritch">Eldritch</option><option value="11"class="Midnight">Midnight</option><option value="12"class="Shadow">Shadow</option><option value="127"class="Blackberry">Blackberry</option><option value="13"class="Mulberry">Mulberry</option><option value="92"class="Plum">Plum</option><option value="119"class="Wisteria">Wisteria</option><option value="14"class="Thistle">Thistle</option><option value="137"class="Fog">Fog</option><option value="150"class="Mist">Mist</option><option value="15"class="Lavender">Lavender</option><option value="68"class="Heather">Heather</option><option value="16"class="Purple">Purple</option><option value="69"class="Orchid">Orchid</option><option value="114"class="Amethyst">Amethyst</option><option value="175"class="Nightshade">Nightshade</option><option value="17"class="Violet">Violet</option><option value="147"class="Grape">Grape</option><option value="18"class="Royal">Royal</option><option value="111"class="Eggplant">Eggplant</option><option value="82"class="Iris">Iris</option><option value="19"class="Storm">Storm</option><option value="174"class="Twilight">Twilight</option><option value="112"class="Indigo">Indigo</option><option value="71"class="Sapphire">Sapphire</option><option value="20"class="Navy">Navy</option><option value="136"class="Cobalt">Cobalt</option><option value="90"class="Ultramarine">Ultramarine</option><option value="21"class="Blue">Blue</option><option value="135"class="Periwinkle">Periwinkle</option><option value="148"class="Lapis">Lapis</option><option value="22"class="Splash">Splash</option><option value="145"class="Cornflower">Cornflower</option><option value="23"class="Sky">Sky</option><option value="24"class="Stonewash">Stonewash</option><option value="126"class="Overcast">Overcast</option><option value="25"class="Steel">Steel</option><option value="26"class="Denim">Denim</option><option value="96"class="Abyss">Abyss</option><option value="151"class="Phthalo">Phthalo</option><option value="27"class="Azure">Azure</option><option value="28"class="Caribbean">Caribbean</option><option value="29"class="Teal">Teal</option><option value="117"class="Cerulean">Cerulean</option><option value="89"class="Cyan">Cyan</option><option value="99"class="Robin">Robin</option><option value="30"class="Aqua">Aqua</option><option value="149"class="Turquoise">Turquoise</option><option value="100"class="Spruce">Spruce</option><option value="125"class="Pistachio">Pistachio</option><option value="31"class="Seafoam">Seafoam</option><option value="152"class="Mint">Mint</option><option value="32"class="Jade">Jade</option><option value="78"class="Spearmint">Spearmint</option><option value="141"class="Thicket">Thicket</option><option value="134"class="Peacock">Peacock</option><option value="33"class="Emerald">Emerald</option><option value="80"class="Shamrock">Shamrock</option><option value="34"class="Jungle">Jungle</option><option value="81"class="Hunter">Hunter</option><option value="35"class="Forest">Forest</option><option value="154"class="Camo">Camo</option><option value="153"class="Algae">Algae</option><option value="36"class="Swamp">Swamp</option><option value="37"class="Avocado">Avocado</option><option value="38"class="Green">Green</option><option value="113"class="Fern">Fern</option><option value="79"class="Mantis">Mantis</option><option value="101"class="Pear">Pear</option><option value="39"class="Leaf">Leaf</option><option value="130"class="Radioactive">Radioactive</option><option value="102"class="Honeydew">Honeydew</option><option value="144"class="Peridot">Peridot</option><option value="155"class="Chartreuse">Chartreuse</option><option value="40"class="Spring">Spring</option><option value="173"class="Crocodile">Crocodile</option><option value="123"class="Olive">Olive</option><option value="142"class="Murk">Murk</option><option value="115"class="Moss">Moss</option><option value="41"class="Goldenrod">Goldenrod</option><option value="103"class="Amber">Amber</option><option value="93"class="Honey">Honey</option><option value="42"class="Lemon">Lemon</option><option value="104"class="Yellow">Yellow</option><option value="128"class="Grapefruit">Grapefruit</option><option value="43"class="Banana">Banana</option><option value="110"class="Sanddollar">Sanddollar</option><option value="139"class="Flaxen">Flaxen</option><option value="44"class="Ivory">Ivory</option><option value="167"class="Buttercup">Buttercup</option><option value="45"class="Gold">Gold</option><option value="140"class="Metals">Metals</option><option value="75"class="Marigold">Marigold</option><option value="46"class="Sunshine">Sunshine</option><option value="84"class="Saffron">Saffron</option><option value="172"class="Sunset">Sunset</option><option value="105"class="Peach">Peach</option><option value="171"class="Cantaloupe">Cantaloupe</option><option value="47"class="Orange">Orange</option><option value="83"class="Bronze">Bronze</option><option value="108"class="Terracotta">Terracotta</option><option value="133"class="Carrot">Carrot</option><option value="48"class="Fire">Fire</option><option value="158"class="Pumpkin">Pumpkin</option><option value="49"class="Tangerine">Tangerine</option><option value="77"class="Cinnamon">Cinnamon</option><option value="156"class="Caramel">Caramel</option><option value="50"class="Sand">Sand</option><option value="76"class="Tan">Tan</option><option value="51"class="Beige">Beige</option><option value="52"class="Stone">Stone</option><option value="95"class="Taupe">Taupe</option><option value="53"class="Slate">Slate</option><option value="165"class="Driftwood">Driftwood</option><option value="143"class="Latte">Latte</option><option value="162"class="Dirt">Dirt</option><option value="106"class="Clay">Clay</option><option value="138"class="Sable">Sable</option><option value="157"class="Umber">Umber</option><option value="54"class="Soil">Soil</option><option value="88"class="Hickory">Hickory</option><option value="124"class="Tarnish">Tarnish</option><option value="122"class="Ginger">Ginger</option><option value="55"class="Brown">Brown</option><option value="56"class="Chocolate">Chocolate</option><option value="166"class="Auburn">Auburn</option><option value="94"class="Copper">Copper</option><option value="57"class="Rust">Rust</option><option value="58"class="Tomato">Tomato</option><option value="169"class="Vermilion">Vermilion</option><option value="86"class="Ruby">Ruby</option><option value="116"class="Cherry">Cherry</option><option value="59"class="Crimson">Crimson</option><option value="161"class="Garnet">Garnet</option><option value="121"class="Sanguine">Sanguine</option><option value="60"class="Blood">Blood</option><option value="61"class="Maroon">Maroon</option><option value="87"class="Berry">Berry</option><option value="62"class="Red">Red</option><option value="168"class="Strawberry">Strawberry</option><option value="132"class="Cerise">Cerise</option><option value="63"class="Carmine">Carmine</option><option value="107"class="Brick">Brick</option><option value="64"class="Coral">Coral</option><option value="159"class="Blush">Blush</option><option value="164"class="Cottoncandy">Cottoncandy</option><option value="120"class="Watermelon">Watermelon</option><option value="65"class="Magenta">Magenta</option><option value="170"class="Fuchsia">Fuchsia</option><option value="160"class="Raspberry">Raspberry</option><option value="72"class="Wine">Wine</option><option value="73"class="Mauve">Mauve</option><option value="66"class="Pink">Pink</option><option value="109"class="Bubblegum">Bubblegum</option><option value="67"class="Rose">Rose</option><option value="85"class="Pearl">Pearl</option>')}
